package com.wuban.tron.explore.util;

/**
 * @{# SuccessResponseData.java Create on 2020年7月23日 下午4:14:56
 * <p>
 *   成功操作返回的数据模型定义.
 * </p>
 * @author <a href="mailto:baiyujie@gmail.com">baiyujie</a>
 * @version v 0.1 
 */

public class SuccessResponseData<T> extends ApiResponse {

	public SuccessResponseData() {
		super(OK, DEFAULT_SUCCESS_MESSAGE, null);
	}

	public SuccessResponseData(T object) {
		super(OK, DEFAULT_SUCCESS_MESSAGE, object);
	}

	public SuccessResponseData(String message, Object object) {
		super(OK, message, object);
	}
}
